import { r as registerInstance, c as createEvent, h, H as Host, g as getElement } from './core-095fd691.js';
import { r as ripple } from './ripple-e6ddbc19.js';

const BceMenuButton = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.handleClick = (event) => {
            ripple(this.el, event);
            this.onToggleMenu.emit();
        };
        this.onToggleMenu = createEvent(this, "toggle-menu", 7);
    }
    render() {
        return (h(Host, { onClick: this.handleClick }, h("span", null), h("span", null), h("span", null)));
    }
    get el() { return getElement(this); }
    static get style() { return "bce-menu-button{position:relative;display:-ms-flexbox;display:flex;-ms-flex-flow:column nowrap;flex-flow:column nowrap;-ms-flex-pack:distribute;justify-content:space-around;width:56px;height:56px;padding:16px;overflow:hidden;cursor:pointer}bce-menu-button span{-ms-flex:0 0 3px;flex:0 0 3px;background-color:var(--bce-color-t);border-radius:3px}bce-menu-button:hover{background-color:rgba(0,0,0,.1)}"; }
};

export { BceMenuButton as bce_menu_button };
